
#ifndef NAVIGATIONBUTTON_H
#define NAVIGATIONBUTTON_H

#include <QAbstractButton>

class NavigationButton : public QAbstractButton
{
    Q_OBJECT
public:
    explicit NavigationButton(QWidget *parent = 0);

Q_SIGNALS:
    void repaintNeeded();

protected:
    void mousePressEvent(QMouseEvent *mouseEvent) override;
    void mouseReleaseEvent(QMouseEvent *mouseEvent) override;
    void enterEvent(QEvent *e) override;
    void leaveEvent(QEvent *e) override;
    void changeEvent(QEvent *e) override;
    void paintEvent(QPaintEvent *) override;

private:
    QIcon::Mode m_iconMode;
};

#endif
